/*
 Theme Name:   Blocksy Child
 Description:  Custom Theme für Anpassungen der Seite
 Author:       IOSSOL
 Template:     blocksy
 Version:      1.0.0
 Text Domain:  blocksy-child
*/

.gt_switcher_wrapper {
	left: 50% !important;
	transform: translateX(-50%);
	z-index: 100 !important;
}

#header {
	position: fixed !important;
	top: 0;
	left: 0;
	width: 100%;
	height: 146px;
	z-index: 100;
}
.rem-quick-filter {
	position: fixed;
	z-index: 100;
}
#main {
	margin-top: 144px;
}
#wpadminbar ~ #main-container #main {
	margin-top: calc(144px - 32px);
}

.site-branding {
	background: url(img/logo2_cutout-1.jpg) no-repeat center transparent scroll;
	background-size: contain;
	a {
		width: 232px;
		height: 146px;
		display: block;
		img {
			display: none;
		}
	}
}
html:not([lang="de"]) .site-branding {
	background-image: url(img/premium-villas-int.jpg);
}

article iframe {
	width: inherit !important;
	max-width: 100% !important;
	margin: 0 auto;
	display: block;
}

.addpropertynow {
	position: fixed;
	top: calc(146px / 2);
	left: calc(50vw - (1290px / 2) - 180px);
	transform: translate(-50%, -50%);
	z-index: 100;
	a {
		width: 150px;
		font-size: 20px;
		text-align: center;
	}
}

#main-container #main {
	display: grid;
	grid-template-columns: 1fr 240px;
	grid-template-areas: "content menu";
	grid-gap: 20px;
	& > div {
		grid-area: content;
	}
	& .side-menu-bar {
		grid-area: menu;
		background-color: var(--theme-palette-color-8);
		width: 100%;
		height: 100%;
		padding: 20px;
		& ul {
			margin: 0;
			padding: 0;
			list-style-type: none;
			& li {
				display: block;
				margin: 0 0 10px 0;
				& a {
					text-transform: uppercase;
					text-decoration: none;
					font-weight: 700;
					font-size: 12px;
					line-height: 1.3;
					color: var(--theme-text-color);
					&:hover {
						color: var(--theme-link-hover-color);
					}
				}
			}
		}
	}
}

@media (max-width: 1920px) {
	.site-branding {
		margin: 0 auto !important;
	}
	.addpropertynow {
		left: calc(50vw - (1290px / 2) + 20px);
	}
}
@media (max-width: 1450px) {
	.addpropertynow {
		left: auto;
		right: 20px;
		top: 80px;
		transform: none;
		margin: 0;
		a {
			padding: 5px 10px;
			width: auto;
			font-size: 14px;
		}
	}
}
@media (max-width: 1400px) {
	.site-branding {
		margin: 0 0 0 -25px !important;
	}
}
@media (max-width: 1560px) {
	#main-container #main > div {
		/*padding-left: 20px;*/
		max-width: 100%;
	}
}
@media (max-width: 999px) {
	#main-container #main {
		grid-template-columns: 1fr;
		grid-template-areas: "content";
	}
	#main-container #main .side-menu-bar {
		display: none;
	}
	.addpropertynow {
		display: grid;
		top: 10px;
		left: 50%;
		transform: translateX(-50%);
		height: 130px;
		width: 100px;
		a {
			margin: 0 !important;
			justify-self: center;
			align-self: start;
		}
	}
	.gt_switcher_wrapper {
		left: auto !important;
		transform: none !important;
		right: 10px !important;
		top: 10px !important;
		width: 130px !important;
		background-color: #fff;
	}
}
@media (max-width: 640px) {
	.site-branding {
		margin: 0 0 0 -15px !important;
		background-size: 80px auto;
		background-position: top left;
	}
	.addpropertynow {
		top: 55px;
		left: 10px;
		transform: none;
		height: auto;
		width: calc(100vw - 60px);
		grid-template-columns: 1fr 1fr;
		a {
			line-height: 16px;
			margin: 0 2px !important;
		}
	}
}

